INSTALLING SCO UNIX 3.2.x DEVICE DRIVER FOR CMD PCI640x CONTROLLER

First, install SCO UNIX 3.2.x or SCO Open Desktop 3.x
using the default SCO IDE driver.

1) Boot your SCO UNIX system and bring it into single-user mode.

2) Insert CMD-supplied driver disk into 3.5-inch floppy drive of your system.
   Use doscp command to copy the file cmd640x.tar to your /tmp directory.
       e.g. if you are using floppy drive A, type
            doscp a:/sco/cmd640x.tar /tmp

3) Have a SCO UNIX-formatted diskette ready.

4) From root, type the following commands
       mkdir /csa6400
       cd /csa6400
       tar xvf /tmp/cmd640x.tar .
   (NOTE : there is a period at the end of the last command)

5) Now, insert the diskette into the drive and issue the following command
       tar cvf /dev/<your floppy drive 0 device name> .
   (NOTE : there is a period at the end of the last command)
    
    Your floppy drive 0 device name could be:
      rfd096ds15            -   5.25 DSHD 
      rfd0135ds18           -   3.5  DSHD
      rfd048ds9             -   5.25 DSDD
      rfd0135ds9            -   3.5  DSDD

You are now ready to install the driver package for CMD PCI640x controller.

Start the installation by typing 
       custom


TO SET THE PROPER TIMING FOR DIFFERENT  BUS SPEED

The released driver has a default set of timing values for local bus 
that operates at 33 MHz.

To change this default setting, follow these following steps:

1) Back up your 33 MHz configured UNIX kernel by typing
     copy -om /unix /unix.orig

2) Use vi to edit the following file
     vi /etc/conf/pack.d/clbi/space.c

3) Once you are in vi, locate the line that reads
     int lbspeed = 33;

4) Change 33 to the desired local bus speed.

5) Save the change and go to the configuration directory by typing
     cd /etc/conf/cf.d

6) Relink the UNIX kernel with the new timing setting by typing
     ./link_unix

7) Reboot your system for the new kernel to take effect.  The new
   kernel should initialize the chip to the new timing setting.


TO ENABLE SECONDARY IDE CHANNEL ON CMD PCI640x CONTROLLER

The released driver by default is configured to disable the secondary
IDE channel on the CMD PCI640x controller chip.  To enable this IDE
channel, follow the following steps.


1) Back up your configured UNIX kernel by typing
     copy -om /unix /unix.orig

2) Use vi to edit the following file
     vi /etc/conf/pack.d/clbi/space.c

3) Once you are in vi, locate the line that reads
     int clbi2_on = 0;

4) Change 0 to 1 to enable the secondary IDE channel.
   You can set clbi2_on back to 0 to disable the channel if needed later on.

5) Save the change and go to the configuration directory by typing
     cd /etc/conf/cf.d

6) Relink the UNIX kernel by typing
     ./link_unix

7) Reboot your system for the new kernel to take effect.  The new
   kernel should enable the secondary IDE port on CMD PCI640x controller.


TO OVERRIDE MODE SETTING FOR IDE DRIVES


The released driver is configured to honor advanced IDE timing mode reported
by the installed IDE drives.  You can, however, choose to override this 
setting with you own setting by performing the following steps.


1) Back up your  UNIX kernel by typing
     copy -om /unix /unix.orig

2) Use vi to edit the following file
     vi /etc/conf/pack.d/clbi/space.c

3) Once you are in vi, locate the line that reads
     ulong clbiom_mask  = 0xFFFFFFFF;
   
   Each byte in this unsigned long quantity represents the intended override
   mode for each drive.  A byte having a value of 0xFF means overriding is
   not needed for the drive associated with that drive.  The Least 
   Significant Byte (LSB, byte 0) is associated with drive 0 (master) on 
   CMD PCI640x IDE channel 0.  Byte 1 is with drive 1 (slave) on channel 0,
   byte 2 with drive 0 (master) on channel 1 (secondary), and byte 3 (MSB)
   with drive 1 (slave) on channel 1.

   For example, to override the reported IDE timing mode for drive 0 on
   CMD PCI640x IDE channel 1 to mode 0, the following setting should be
   done:
     ulong clbiom_mask = 0xFF00FFFF;  /* byte 2 is changed to mode 0 */ 

4) Change the right byte to the desired timing mode for the intended drive.

5) Save the change and go to the configuration directory by typing
     cd /etc/conf/cf.d

6) Relink the UNIX kernel with the new timing setting by typing
     ./link_unix

7) Reboot your system for the new kernel to take effect.  The new
   kernel should initialize the drive(s) to the new timing setting.

